Resolve Comments in a Creative
You can resolve the comments on a creative for a specific advertiser using this PUT call
Note: It is mandatory to mark all comments resolved, in order to submit a creative for approval. You can only resolve comments via this call. You cannot edit comments using this PUT call
Request Parameters
| Parameter | Description | Type | Required | Possible Values |
|---|---|---|---|---|
| advertiserId | The ID for the specific advertiser | integer | Y | A valid advertiser ID |
| commentId | The ID of the comment that needs to be resolved | string | Y | A valid comment ID |
| creativeId | The ID of the creative | string | Y | A valid creative ID |
Headers
| Header Name | Description | Required | Values |
|---|---|---|---|
| Authorization | Bearer token provides the access to the API. It is same for all advertisers you access through the API. | Y | Use the auth_token that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide. |
| Content-Type | Format of the message body | Y | application/json |
| WM_CONSUMER.ID | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API. | Y | Use the ConsumerId that was generated and shared with you at the time of partner onboarding. For more information, see the Getting Started Guide. |
| WM_SEC.AUTH_SIGNATURE | Signature for authentication | Y | Use the signature generator code to generate this value. For more information, see the Getting Started Guide. |
| WM_SEC.KEY_VERSION | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API. | Y | 1 |
| WM_CONSUMER.intimestamp | Timestamp for which the auth signature is generated. Use Unix epoch format for the timestamp. | Y | Use the signature generator code to generate this value. For more information, see the Getting Started Guide. |
Sample Request
curl -X PUT \ 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/comments/resolve'\ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779'\
--data '{ "advertiserId": 123, "commentId": "456", "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }'Response
| Element | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| code | The response code can have following values:
| N | string | |
| details | Possible values of details:
| N | string | Refer to this link for detailed error messages |
| message | High-level summary of the error, when available. | Y | string | |
| errors | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description. | Y | array<object> | |
| creativeId | ID of the creative | string | ||
| commentId | ID of the comment | string |
errors Array Object Details
| Field | Description | Optional field/Nullable? | Type | Possible values |
|---|---|---|---|---|
| field | JSON field associated with the error . Omitted if the error applies to the request as a whole. | Y | string | |
| errorType | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N | string | |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it | N | string |
Sample Response
[ { "code": "success", "details": [ "success"], "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a", "commentId": "456" }
]Sample Response - Failure (When Wrong creativeId is provided)
[ { "code": "failure", "message": "User does not have permission to perform this operation.", "errors": [ { "errorType": "E_USER_PERMISSION_DENIED", "description": "Folder/Creative Id provided does not belong to the Advertiser. Contact your administrator for access to this operation." } ], "details": [ "E_USER_PERMISSION_DENIED" ] }
]Updated 4 days ago
Did this page help you?
